## org.biojava.bio.structure.gui.util
Class SequenceMouseListener

    java.lang.Object
      org.biojava.bio.structure.gui.util.SequenceMouseListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, EventListener

    public class SequenceMouseListener

extends Object
implements MouseListener, MouseMotionListener

a mouse listener for the AbstractChainRenderer class it listens to all mouse events and triggeres appropriate SequenceListener and FeatureListener events

Author:
  Andreas Prlic

Constructor Summary
`SequenceMouseListener(SequenceDisplay parent)`

Method Summary
`void` `addAlignmentPositionListener(AlignmentPositionListener li)`
`void` `clearListeners()`
`void` `mouseClicked(MouseEvent arg0)`
`void` `mouseDragged(MouseEvent e)`
`void` `mouseEntered(MouseEvent arg0)`
`void` `mouseExited(MouseEvent arg0)`
`void` `mouseMoved(MouseEvent e)`
`void` `mousePressed(MouseEvent event)`
`void` `mouseReleased(MouseEvent event)`
`void` `setChain(Chain c)`
`protected void` `triggerMouseOverPosition(int pos, int mouseY)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceMouseListener

    public SequenceMouseListener(SequenceDisplay parent)

Method Detail

### clearListeners

    public void clearListeners()

### addAlignmentPositionListener

    public void addAlignmentPositionListener(AlignmentPositionListener li)

### mousePressed

    public void mousePressed(MouseEvent event)

  Specified by:
    `mousePressed` in interface `MouseListener`

### setChain

    public void setChain(Chain c)

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### mouseClicked

    public void mouseClicked(MouseEvent arg0)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent arg0)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent arg0)

  Specified by:
    `mouseExited` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent event)

  Specified by:
    `mouseReleased` in interface `MouseListener`

### triggerMouseOverPosition

    protected void triggerMouseOverPosition(int pos,
                                            int mouseY)